/*--------------------------------*- C++ -*----------------------------------*\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\    /   O peration     | Version:  2.1.0                                 |
|   \\  /    A nd           | Web:      www.OpenFOAM.org                      |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/
FoamFile
{
    version     2.0;
    format      ascii;
    class       dictionary;
    location    "system";
    object      controlDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

application     simpleFoam;

startFrom       latestTime;

startTime       0;

stopAt          endTime;

endTime         OL.get(Foam/Control/nbIter);

deltaT          1;

writeControl    timeStep;

writeInterval   OL.get(Foam/Control/writeCtrl);

purgeWrite      0;

writeFormat     ascii;

writePrecision  6;

writeCompression off;

timeFormat      general;

timePrecision   6;

runTimeModifiable true;


functions
{
    forces
    {
        type                forces;
        functionObjectLibs  ("libforces.so");
        outputControl       timeStep;
        outputInterval      10;
        patches             (valve);
        pName               p;
        UName               U;
        rhoName             rhoInf;
        log                 true;
        rhoInf              1000;
        CofR                (0 0 0);
    }
    pressure
    {
        functionObjectLibs  ("libfieldFunctionObjects.so");
        type                faceSource;
        fields              (p);
        outputControl       timeStep;
        outputInterval      10;
        log                 true;
        valueOutput         false;
        source              patch;
        sourceName          inlet;
        operation           areaAverage;
    }
}

// ************************************************************************* //
